
%global meadversion 3.0.1
%global namedversion 3.0.1.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%define section free
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%endif

%global mavengroup org.jboss.osgi.resolver
%global artifact0 jbosgi-resolver-parent
%global artifact1 jbosgi-resolver-api
%global artifact2 jbosgi-resolver-felix

%global title JBossOSGi Resolver

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 3.0.1.Final-redhat-2

Name:    jbosgi-resolver
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:   0

License: LGPL
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: jbosgi-resolver-parent-3.0.1.Final-redhat-2-scm-sources.zip
Source102: jbosgi-resolver-parent-3.0.1.Final-redhat-2-project-sources.tar.gz
Source103: jbosgi-resolver-parent-3.0.1.Final-redhat-2.pom
Source104: jbosgi-resolver-api-3.0.1.Final-redhat-2-sources.jar
Source105: jbosgi-resolver-api-3.0.1.Final-redhat-2-javadoc.jar
Source106: jbosgi-resolver-api-3.0.1.Final-redhat-2.jar
Source107: jbosgi-resolver-api-3.0.1.Final-redhat-2.pom
Source108: jbosgi-resolver-felix-3.0.1.Final-redhat-2-javadoc.jar
Source109: jbosgi-resolver-felix-3.0.1.Final-redhat-2-sources.jar
Source110: jbosgi-resolver-felix-3.0.1.Final-redhat-2.jar
Source111: jbosgi-resolver-felix-3.0.1.Final-redhat-2.pom
%endif

URL:     http://community.jboss.org/wiki/JBossOSGi

BuildRequires: unzip
BuildRequires: jpackage-utils
Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
A standalone OSGi Resolver.

%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact1}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact1}-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/%{artifact2}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact2}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact2}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact2}-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%{__cp} -p %{_sourcedir}/%{artifact2}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact2}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{namedversion} JPP %{artifact1}
%add_to_maven_depmap %{mavengroup} %{artifact2} %{namedversion} JPP %{artifact2}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{artifact1}
%{__unzip} -qq %{_sourcedir}/%{artifact1}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{artifact1}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{artifact1}/META-INF

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{artifact2}
%{__unzip} -qq %{_sourcedir}/%{artifact2}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{artifact2}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{artifact2}/META-INF

(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{namedversion} %{name})

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Thu Dec 18 2014 Hui Wang <huwang@redhat.com> - 3.0.1-2.Final_redhat_2.1
- Remove dependencies on old maven BOMs

* Tue Feb 19 2013 Lin Gao <lgao@redhat.com> - 0:3.0.1-1.Final_redhat_1
- Upgrade to 3.0.1.Final
- Add javadoc package

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-2.Final_redhat_3.3
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.0-1.Final_redhat_3.3
- Fix dependency management to eap 6.0.1 boms

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final

* Thu Mar 29 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-1.Beta5_redhat_1
- Upgrade to 2.0.0.Beta5
- Change jars install path

* Mon Mar 05 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.13-1_redhat_1.1
- Upgrade to 1.0.13.Final
- resolver-metadata removed, now jbosgi-metadata package

* Wed Feb 22 2012 Lin Gao <lgao@redhat.com> - 0:1.0.11-1_redhat_1.1
- Upgrade to 1.0.11
- Add vman patche

* Fri Feb 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.10-1_redhat_1.2
- Rebuild

* Thu Nov 03 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.10-1_redhat_1
- Upgrade to 1.0.10

* Wed Sep 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.9-1_redhat_1
- Build for Werewolf
